package com.ruoyi.syzy.mapper;

import com.ruoyi.syzy.domain.BBusiWishScoreGroups;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 一分一段Mapper接口
 *
 * @author mingxue
 * @date 2021-08-19
 */
public interface BBusiWishScoreGroupsMapper {
    public BBusiWishScoreGroups selectRangeByLocation(BBusiWishScoreGroups cond);
    public List<BBusiWishScoreGroups> selectBusiWishScoreGroupsByScore(Map cond);
    /**
     * 地域
     *
     * @return
     */
    public List<String> locations();

    /**
     * 录取年份
     *
     * @param location
     * @return
     */
    public List<Integer> years(@Param("location") String location);
    public List<Integer> yearsNoStatus(@Param("location") String location);
    public Integer selectBBusiWishScoreGroupsByLocation(@Param("location") String location, @Param("mode") String mode);

    /**
     * 科类
     *
     * @param location
     * @param year
     * @return
     */
    public List<String> modes(@Param("location") String location, @Param("year") String year);
    public List<BBusiWishScoreGroups> modesNoStatus(@Param("location") String location, @Param("year") String year);

    /**
     * 查询一分一段
     *
     * @param id 一分一段ID
     * @return 一分一段
     */
    public BBusiWishScoreGroups selectBBusiWishScoreGroupsById(Long id);

    /**
     * 查询一分一段列表
     *
     * @param bBusiWishScoreGroups 一分一段
     * @return 一分一段集合
     */
    public List<BBusiWishScoreGroups> selectBBusiWishScoreGroupsList(BBusiWishScoreGroups bBusiWishScoreGroups);

    /**
     * 新增一分一段
     *
     * @param bBusiWishScoreGroups 一分一段
     * @return 结果
     */
    public int insertBBusiWishScoreGroups(BBusiWishScoreGroups bBusiWishScoreGroups);

    /**
     * 修改一分一段
     *
     * @param bBusiWishScoreGroups 一分一段
     * @return 结果
     */
    public int updateBBusiWishScoreGroups(BBusiWishScoreGroups bBusiWishScoreGroups);

    /**
     * 删除一分一段
     *
     * @param id 一分一段ID
     * @return 结果
     */
    public int deleteBBusiWishScoreGroupsById(Long id);

    /**
     * 批量删除一分一段
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiWishScoreGroupsByIds(Long[] ids);
}
